# Pages ## List tested webpages `client.speed.pages.list(PageListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/zones/{zone_id}/speed_api/pages` Lists all webpages which have been tested. ### Parameters - `params: PageListParams` - `zone_id: string` Identifier. ### Returns - `PageListResponse` - `region?: LabeledRegion` A test region with a label. - `label?: string` - `value?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` - `scheduleFrequency?: "DAILY" | "WEEKLY"` The frequency of the test. - `"DAILY"` - `"WEEKLY"` - `tests?: Array` - `id?: string` UUID. - `date?: string` - `desktopReport?: LighthouseReport` The Lighthouse report. - `cls?: number` Cumulative Layout Shift. - `deviceType?: "DESKTOP" | "MOBILE"` The type of device. - `"DESKTOP"` - `"MOBILE"` - `error?: Error` - `code?: "NOT_REACHABLE" | "DNS_FAILURE" | "NOT_HTML" | 2 more` The error code of the Lighthouse result. - `"NOT_REACHABLE"` - `"DNS_FAILURE"` - `"NOT_HTML"` - `"LIGHTHOUSE_TIMEOUT"` - `"UNKNOWN"` - `detail?: string` Detailed error message. - `finalDisplayedUrl?: string` The final URL displayed to the user. - `fcp?: number` First Contentful Paint. - `jsonReportUrl?: string` The URL to the full Lighthouse JSON report. - `lcp?: number` Largest Contentful Paint. - `performanceScore?: number` The Lighthouse performance score. - `si?: number` Speed Index. - `state?: "RUNNING" | "COMPLETE" | "FAILED"` The state of the Lighthouse report. - `"RUNNING"` - `"COMPLETE"` - `"FAILED"` - `tbt?: number` Total Blocking Time. - `ttfb?: number` Time To First Byte. - `tti?: number` Time To Interactive. - `mobileReport?: LighthouseReport` The Lighthouse report. - `region?: LabeledRegion` A test region with a label. - `scheduleFrequency?: "DAILY" | "WEEKLY"` The frequency of the test. - `"DAILY"` - `"WEEKLY"` - `url?: string` A URL. - `url?: string` A URL. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const pageListResponse of client.speed.pages.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(pageListResponse.region); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "region": { "label": "Iowa, USA", "value": "us-central1" }, "scheduleFrequency": "DAILY", "tests": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "date": "2014-01-01T05:20:00.12345Z", "desktopReport": { "cls": 100, "deviceType": "DESKTOP", "error": { "code": "NOT_REACHABLE", "detail": "Details: net::ERR_CONNECTION_CLOSED", "finalDisplayedUrl": "example.com" }, "fcp": 100, "jsonReportUrl": "jsonReportUrl", "lcp": 100, "performanceScore": 90, "si": 100, "state": "COMPLETE", "tbt": 100, "ttfb": 100, "tti": 100 }, "mobileReport": { "cls": 100, "deviceType": "DESKTOP", "error": { "code": "NOT_REACHABLE", "detail": "Details: net::ERR_CONNECTION_CLOSED", "finalDisplayedUrl": "example.com" }, "fcp": 100, "jsonReportUrl": "jsonReportUrl", "lcp": 100, "performanceScore": 90, "si": 100, "state": "COMPLETE", "tbt": 100, "ttfb": 100, "tti": 100 }, "region": { "label": "Iowa, USA", "value": "us-central1" }, "scheduleFrequency": "DAILY", "url": "example.com" } ], "url": "example.com" } ] } ``` ## List core web vital metrics trend `client.speed.pages.trend(stringurl, PageTrendParamsparams, RequestOptionsoptions?): Trend` **get** `/zones/{zone_id}/speed_api/pages/{url}/trend` Lists the core web vital metrics trend over time for a specific page. ### Parameters - `url: string` A URL. - `params: PageTrendParams` - `zone_id: string` Path param: Identifier. - `deviceType: "DESKTOP" | "MOBILE"` Query param: The type of device. - `"DESKTOP"` - `"MOBILE"` - `metrics: string` Query param: A comma-separated list of metrics to include in the results. - `region: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` Query param: A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` - `start: string` Query param - `tz: string` Query param: The timezone of the start and end timestamps. - `end?: string` Query param ### Returns - `Trend` - `cls?: Array` Cumulative Layout Shift trend. - `fcp?: Array` First Contentful Paint trend. - `lcp?: Array` Largest Contentful Paint trend. - `performanceScore?: Array` The Lighthouse score trend. - `si?: Array` Speed Index trend. - `tbt?: Array` Total Blocking Time trend. - `ttfb?: Array` Time To First Byte trend. - `tti?: Array` Time To Interactive trend. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const trend = await client.speed.pages.trend('example.com', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', deviceType: 'DESKTOP', metrics: 'performanceScore,ttfb,fcp,si,lcp,tti,tbt,cls', region: 'us-central1', start: '2014-01-01T05:20:00.12345Z', tz: 'tz', }); console.log(trend.cls); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "cls": [ 0 ], "fcp": [ 0 ], "lcp": [ 0 ], "performanceScore": [ 0 ], "si": [ 0 ], "tbt": [ 0 ], "ttfb": [ 0 ], "tti": [ 0 ] } } ``` ## Domain Types ### Page List Response - `PageListResponse` - `region?: LabeledRegion` A test region with a label. - `label?: string` - `value?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` - `scheduleFrequency?: "DAILY" | "WEEKLY"` The frequency of the test. - `"DAILY"` - `"WEEKLY"` - `tests?: Array` - `id?: string` UUID. - `date?: string` - `desktopReport?: LighthouseReport` The Lighthouse report. - `cls?: number` Cumulative Layout Shift. - `deviceType?: "DESKTOP" | "MOBILE"` The type of device. - `"DESKTOP"` - `"MOBILE"` - `error?: Error` - `code?: "NOT_REACHABLE" | "DNS_FAILURE" | "NOT_HTML" | 2 more` The error code of the Lighthouse result. - `"NOT_REACHABLE"` - `"DNS_FAILURE"` - `"NOT_HTML"` - `"LIGHTHOUSE_TIMEOUT"` - `"UNKNOWN"` - `detail?: string` Detailed error message. - `finalDisplayedUrl?: string` The final URL displayed to the user. - `fcp?: number` First Contentful Paint. - `jsonReportUrl?: string` The URL to the full Lighthouse JSON report. - `lcp?: number` Largest Contentful Paint. - `performanceScore?: number` The Lighthouse performance score. - `si?: number` Speed Index. - `state?: "RUNNING" | "COMPLETE" | "FAILED"` The state of the Lighthouse report. - `"RUNNING"` - `"COMPLETE"` - `"FAILED"` - `tbt?: number` Total Blocking Time. - `ttfb?: number` Time To First Byte. - `tti?: number` Time To Interactive. - `mobileReport?: LighthouseReport` The Lighthouse report. - `region?: LabeledRegion` A test region with a label. - `scheduleFrequency?: "DAILY" | "WEEKLY"` The frequency of the test. - `"DAILY"` - `"WEEKLY"` - `url?: string` A URL. - `url?: string` A URL. # Tests ## List page test history `client.speed.pages.tests.list(stringurl, TestListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/zones/{zone_id}/speed_api/pages/{url}/tests` Test history (list of tests) for a specific webpage. ### Parameters - `url: string` A URL. - `params: TestListParams` - `zone_id: string` Path param: Identifier. - `page?: number` Query param - `per_page?: number` Query param - `region?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` Query param: A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` ### Returns - `Test` - `id?: string` UUID. - `date?: string` - `desktopReport?: LighthouseReport` The Lighthouse report. - `cls?: number` Cumulative Layout Shift. - `deviceType?: "DESKTOP" | "MOBILE"` The type of device. - `"DESKTOP"` - `"MOBILE"` - `error?: Error` - `code?: "NOT_REACHABLE" | "DNS_FAILURE" | "NOT_HTML" | 2 more` The error code of the Lighthouse result. - `"NOT_REACHABLE"` - `"DNS_FAILURE"` - `"NOT_HTML"` - `"LIGHTHOUSE_TIMEOUT"` - `"UNKNOWN"` - `detail?: string` Detailed error message. - `finalDisplayedUrl?: string` The final URL displayed to the user. - `fcp?: number` First Contentful Paint. - `jsonReportUrl?: string` The URL to the full Lighthouse JSON report. - `lcp?: number` Largest Contentful Paint. - `performanceScore?: number` The Lighthouse performance score. - `si?: number` Speed Index. - `state?: "RUNNING" | "COMPLETE" | "FAILED"` The state of the Lighthouse report. - `"RUNNING"` - `"COMPLETE"` - `"FAILED"` - `tbt?: number` Total Blocking Time. - `ttfb?: number` Time To First Byte. - `tti?: number` Time To Interactive. - `mobileReport?: LighthouseReport` The Lighthouse report. - `region?: LabeledRegion` A test region with a label. - `label?: string` - `value?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` - `scheduleFrequency?: "DAILY" | "WEEKLY"` The frequency of the test. - `"DAILY"` - `"WEEKLY"` - `url?: string` A URL. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const test of client.speed.pages.tests.list('example.com', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(test.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "date": "2014-01-01T05:20:00.12345Z", "desktopReport": { "cls": 100, "deviceType": "DESKTOP", "error": { "code": "NOT_REACHABLE", "detail": "Details: net::ERR_CONNECTION_CLOSED", "finalDisplayedUrl": "example.com" }, "fcp": 100, "jsonReportUrl": "jsonReportUrl", "lcp": 100, "performanceScore": 90, "si": 100, "state": "COMPLETE", "tbt": 100, "ttfb": 100, "tti": 100 }, "mobileReport": { "cls": 100, "deviceType": "DESKTOP", "error": { "code": "NOT_REACHABLE", "detail": "Details: net::ERR_CONNECTION_CLOSED", "finalDisplayedUrl": "example.com" }, "fcp": 100, "jsonReportUrl": "jsonReportUrl", "lcp": 100, "performanceScore": 90, "si": 100, "state": "COMPLETE", "tbt": 100, "ttfb": 100, "tti": 100 }, "region": { "label": "Iowa, USA", "value": "us-central1" }, "scheduleFrequency": "DAILY", "url": "example.com" } ], "result_info": { "count": 5, "page": 1, "per_page": 5, "total_count": 3 } } ``` ## Get a page test result `client.speed.pages.tests.get(stringurl, stringtestId, TestGetParamsparams, RequestOptionsoptions?): Test` **get** `/zones/{zone_id}/speed_api/pages/{url}/tests/{test_id}` Retrieves the result of a specific test. ### Parameters - `url: string` A URL. - `testId: string` - `params: TestGetParams` - `zone_id: string` Identifier. ### Returns - `Test` - `id?: string` UUID. - `date?: string` - `desktopReport?: LighthouseReport` The Lighthouse report. - `cls?: number` Cumulative Layout Shift. - `deviceType?: "DESKTOP" | "MOBILE"` The type of device. - `"DESKTOP"` - `"MOBILE"` - `error?: Error` - `code?: "NOT_REACHABLE" | "DNS_FAILURE" | "NOT_HTML" | 2 more` The error code of the Lighthouse result. - `"NOT_REACHABLE"` - `"DNS_FAILURE"` - `"NOT_HTML"` - `"LIGHTHOUSE_TIMEOUT"` - `"UNKNOWN"` - `detail?: string` Detailed error message. - `finalDisplayedUrl?: string` The final URL displayed to the user. - `fcp?: number` First Contentful Paint. - `jsonReportUrl?: string` The URL to the full Lighthouse JSON report. - `lcp?: number` Largest Contentful Paint. - `performanceScore?: number` The Lighthouse performance score. - `si?: number` Speed Index. - `state?: "RUNNING" | "COMPLETE" | "FAILED"` The state of the Lighthouse report. - `"RUNNING"` - `"COMPLETE"` - `"FAILED"` - `tbt?: number` Total Blocking Time. - `ttfb?: number` Time To First Byte. - `tti?: number` Time To Interactive. - `mobileReport?: LighthouseReport` The Lighthouse report. - `region?: LabeledRegion` A test region with a label. - `label?: string` - `value?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` - `scheduleFrequency?: "DAILY" | "WEEKLY"` The frequency of the test. - `"DAILY"` - `"WEEKLY"` - `url?: string` A URL. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const test = await client.speed.pages.tests.get('example.com', 'test_id', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(test.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "date": "2014-01-01T05:20:00.12345Z", "desktopReport": { "cls": 100, "deviceType": "DESKTOP", "error": { "code": "NOT_REACHABLE", "detail": "Details: net::ERR_CONNECTION_CLOSED", "finalDisplayedUrl": "example.com" }, "fcp": 100, "jsonReportUrl": "jsonReportUrl", "lcp": 100, "performanceScore": 90, "si": 100, "state": "COMPLETE", "tbt": 100, "ttfb": 100, "tti": 100 }, "mobileReport": { "cls": 100, "deviceType": "DESKTOP", "error": { "code": "NOT_REACHABLE", "detail": "Details: net::ERR_CONNECTION_CLOSED", "finalDisplayedUrl": "example.com" }, "fcp": 100, "jsonReportUrl": "jsonReportUrl", "lcp": 100, "performanceScore": 90, "si": 100, "state": "COMPLETE", "tbt": 100, "ttfb": 100, "tti": 100 }, "region": { "label": "Iowa, USA", "value": "us-central1" }, "scheduleFrequency": "DAILY", "url": "example.com" } } ``` ## Start page test `client.speed.pages.tests.create(stringurl, TestCreateParamsparams, RequestOptionsoptions?): Test` **post** `/zones/{zone_id}/speed_api/pages/{url}/tests` Starts a test for a specific webpage, in a specific region. ### Parameters - `url: string` A URL. - `params: TestCreateParams` - `zone_id: string` Path param: Identifier. - `region?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` Body param: A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` ### Returns - `Test` - `id?: string` UUID. - `date?: string` - `desktopReport?: LighthouseReport` The Lighthouse report. - `cls?: number` Cumulative Layout Shift. - `deviceType?: "DESKTOP" | "MOBILE"` The type of device. - `"DESKTOP"` - `"MOBILE"` - `error?: Error` - `code?: "NOT_REACHABLE" | "DNS_FAILURE" | "NOT_HTML" | 2 more` The error code of the Lighthouse result. - `"NOT_REACHABLE"` - `"DNS_FAILURE"` - `"NOT_HTML"` - `"LIGHTHOUSE_TIMEOUT"` - `"UNKNOWN"` - `detail?: string` Detailed error message. - `finalDisplayedUrl?: string` The final URL displayed to the user. - `fcp?: number` First Contentful Paint. - `jsonReportUrl?: string` The URL to the full Lighthouse JSON report. - `lcp?: number` Largest Contentful Paint. - `performanceScore?: number` The Lighthouse performance score. - `si?: number` Speed Index. - `state?: "RUNNING" | "COMPLETE" | "FAILED"` The state of the Lighthouse report. - `"RUNNING"` - `"COMPLETE"` - `"FAILED"` - `tbt?: number` Total Blocking Time. - `ttfb?: number` Time To First Byte. - `tti?: number` Time To Interactive. - `mobileReport?: LighthouseReport` The Lighthouse report. - `region?: LabeledRegion` A test region with a label. - `label?: string` - `value?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` - `scheduleFrequency?: "DAILY" | "WEEKLY"` The frequency of the test. - `"DAILY"` - `"WEEKLY"` - `url?: string` A URL. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const test = await client.speed.pages.tests.create('example.com', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(test.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "date": "2014-01-01T05:20:00.12345Z", "desktopReport": { "cls": 100, "deviceType": "DESKTOP", "error": { "code": "NOT_REACHABLE", "detail": "Details: net::ERR_CONNECTION_CLOSED", "finalDisplayedUrl": "example.com" }, "fcp": 100, "jsonReportUrl": "jsonReportUrl", "lcp": 100, "performanceScore": 90, "si": 100, "state": "COMPLETE", "tbt": 100, "ttfb": 100, "tti": 100 }, "mobileReport": { "cls": 100, "deviceType": "DESKTOP", "error": { "code": "NOT_REACHABLE", "detail": "Details: net::ERR_CONNECTION_CLOSED", "finalDisplayedUrl": "example.com" }, "fcp": 100, "jsonReportUrl": "jsonReportUrl", "lcp": 100, "performanceScore": 90, "si": 100, "state": "COMPLETE", "tbt": 100, "ttfb": 100, "tti": 100 }, "region": { "label": "Iowa, USA", "value": "us-central1" }, "scheduleFrequency": "DAILY", "url": "example.com" } } ``` ## Delete all page tests `client.speed.pages.tests.delete(stringurl, TestDeleteParamsparams, RequestOptionsoptions?): TestDeleteResponse` **delete** `/zones/{zone_id}/speed_api/pages/{url}/tests` Deletes all tests for a specific webpage from a specific region. Deleted tests are still counted as part of the quota. ### Parameters - `url: string` A URL. - `params: TestDeleteParams` - `zone_id: string` Path param: Identifier. - `region?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` Query param: A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` ### Returns - `TestDeleteResponse` - `count?: number` Number of items affected. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const test = await client.speed.pages.tests.delete('example.com', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(test.count); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "count": 1 } } ``` ## Domain Types ### Test - `Test` - `id?: string` UUID. - `date?: string` - `desktopReport?: LighthouseReport` The Lighthouse report. - `cls?: number` Cumulative Layout Shift. - `deviceType?: "DESKTOP" | "MOBILE"` The type of device. - `"DESKTOP"` - `"MOBILE"` - `error?: Error` - `code?: "NOT_REACHABLE" | "DNS_FAILURE" | "NOT_HTML" | 2 more` The error code of the Lighthouse result. - `"NOT_REACHABLE"` - `"DNS_FAILURE"` - `"NOT_HTML"` - `"LIGHTHOUSE_TIMEOUT"` - `"UNKNOWN"` - `detail?: string` Detailed error message. - `finalDisplayedUrl?: string` The final URL displayed to the user. - `fcp?: number` First Contentful Paint. - `jsonReportUrl?: string` The URL to the full Lighthouse JSON report. - `lcp?: number` Largest Contentful Paint. - `performanceScore?: number` The Lighthouse performance score. - `si?: number` Speed Index. - `state?: "RUNNING" | "COMPLETE" | "FAILED"` The state of the Lighthouse report. - `"RUNNING"` - `"COMPLETE"` - `"FAILED"` - `tbt?: number` Total Blocking Time. - `ttfb?: number` Time To First Byte. - `tti?: number` Time To Interactive. - `mobileReport?: LighthouseReport` The Lighthouse report. - `region?: LabeledRegion` A test region with a label. - `label?: string` - `value?: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` - `scheduleFrequency?: "DAILY" | "WEEKLY"` The frequency of the test. - `"DAILY"` - `"WEEKLY"` - `url?: string` A URL. ### Test Delete Response - `TestDeleteResponse` - `count?: number` Number of items affected.